ru.bitel.bgbilling.modules.sorm.server.bean

## Class SormContract

- java.lang.Object
- - ru.bitel.bgbilling.modules.sorm.server.bean.SormContract

-     public class SormContract
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SormContract(int contractId)`
    `SormContract(int contractId, java.lang.String contractTitle, java.util.Date dateFrom, java.util.Date dateTo, boolean isFiz, int status)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `int` | `getStatus()`
    `boolean` | `isFiz()`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setFiz(boolean fiz)`
    `void` | `setStatus(int status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SormContract

          public SormContract(int contractId)

    - #### SormContract

          public SormContract(int contractId,
                              java.lang.String contractTitle,
                              java.util.Date dateFrom,
                              java.util.Date dateTo,
                              boolean isFiz,
                              int status)

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### isFiz

          public boolean isFiz()

    - #### setFiz

          public void setFiz(boolean fiz)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)